import { Document } from '../../../domain/project'

export interface BDStockSalesCosts {
  document?: Document
  monthYearReference: string
  salesCommission: string
  monthRating: string
}

interface InputUpdateBDStockSalesCosts {
  projectId: string
  stockSalesCosts: BDStockSalesCosts
}

export interface UpdateBDStockSalesCosts {
  Input: InputUpdateBDStockSalesCosts
  Output: BDStockSalesCosts
}
