import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

// eslint-disable-next-line
export default (theme: Theme) =>
  createSxStyles({
    container: { width: '100%', textAlign: 'center', marginTop: theme.spacing(1), marginBottom: theme.spacing(1) },
    photoBtn: { width: '100%', '&.MuiButton-text': { display: 'flex', flexDirection: 'column', height: '280px', alignItems: 'center', flexGrow: 1 } },
    card: { width: '100%', maxWidth: '100%', height: '100%', textAlign: 'center' },
    media: {
      height: '230px',
      maxWidth: '100%',
      width: 'auto',
      // paddingTop: '56.25%', // 16:9
    },
  })
