import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material/styles'

import sharedStyles from '../shared-styles'

// eslint-disable-next-line
export default (theme: Theme) =>
  createSxStyles({
    ...sharedStyles(theme),
    form: {
      '& .MuiTextField-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
      '& .MuiFormControl-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
      '& .MuiFormControlLabel-root': {
        marginBottom: theme.spacing(2),
        width: '100%',
      },
    },
  })
