import type { BDIdentification } from './identification'
import type { BDAddress } from './address'
import type { BDStockSalesCosts } from './stockSalesCosts'
import type { BDProductService } from './productService'

export interface BusinessData {
  identification?: BDIdentification
  address?: BDAddress
  stockSalesCosts?: BDStockSalesCosts
  productsServices?: BDProductService[]
}

export * from './address'
export * from './identification'
export * from './productService'
export * from './stockSalesCosts'

// interface OutputGetBusinessData {
//   identification: BDIdentification
//   address: BDAddress
//   productService: BDProductService
//   stockSalesCosts: BDStockSalesCosts
// }

interface InputGetBusinessData {
  projectId: string
}

export interface GetBusinessData {
  Input: InputGetBusinessData
  Output: BusinessData
}
