import type { IPAddress } from './address'
import type { InvolvedPerson } from './identification'

export * from './identification'
export * from './personalData'
export * from './address'
export * from './sourceIncome'
export * from './spousePersonalData'
export * from './reference'
export * from './home'
export * from './vehicle'

export interface RG {
  front: string
  back: string
  number: string
  dispatcherAgency: string
}

interface InputGetCustomerData {
  projectId: string
  personId: string
}

export interface GetCustomerData {
  Input: InputGetCustomerData
  Output: InvolvedPerson
}
