import { Entity } from '@agiliza/utils/method'

export interface SimulationCategory extends Entity {
  description: string
  fullDescription: string
  maxInstallment: number
  maxGraceMonths: number
}

export interface SimulationContext {
  gracePeriods: CreditGracePeriod[]
  installments: CreditInstallment[]
}

//Prestação
export interface CreditInstallment extends Entity {
  description: string
}

// Carência
export interface CreditGracePeriod extends Entity {
  description: string
}

interface OutputGetVisitContext {
  gracePeriods: CreditGracePeriod
}

export interface GetVisitContext {
  Input: void
  Output: OutputGetVisitContext
}
