import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

export const useStyles = (theme: Theme) =>
  createSxStyles({
    root: { position: 'fixed', bottom: theme.spacing(5), right: theme.spacing(5) },
    popoverContent: { padding: theme.spacing(1.5) },
    msg: {
      fontWeight: 'bold',
      fontSize: '100%',
      overflowWrap: 'normal',
      // fontFamily: '"Permanent Marker", cursive'
    },
    infoBtn: { fontSize: 50, cursor: 'pointer' },
  })
