import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

// eslint-disable-next-line
export default (theme: Theme) =>
  createSxStyles({
    title: {
      fontSize: '150%',
      fontWeight: 'bold',
      overflowWrap: 'normal',
    },
    formContainer: {
      height: '40%',
      textAlign: 'center',
      justifyContent: 'space-between',
      display: 'flex',
      flexDirection: 'column',
    },
    container: {
      display: 'flex',
      height: '100vh',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      textAlign: 'center',
    },
    form: {
      display: 'flex',
      flexDirection: 'column',
      width: '100%',
      margin: theme.spacing(2),
    },
    usernameTxtField: { marginBottom: theme.spacing(2) },
  })
