import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material/styles'

import sharedStyles from '../shared-styles'

export default (theme: Theme) => {
  return createSxStyles({
    ...sharedStyles(theme),
    pageContainer: {
      height: '100vh',
      display: 'flex',
      flexDirection: 'column',
      // padding: theme.spacing(2),
      paddingTop: 0,
      paddingBottom: 0,
      justifyContent: 'flex-start',
    },
    appTitle: { flexGrow: 1, fontSize: '100%', textTransform: 'uppercase', color: 'white' },
    titleAnchor: { cursor: 'pointer', display: { xs: 'none', sm: 'block' } },
  })
}
