import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material/styles'

import sharedStyles from '../styles'

// eslint-disable-next-line
export default (theme: Theme) => {
  const width = '100%'
  return createSxStyles({
    ...sharedStyles(theme),
    list: { width },
    avatarBtnContainer: {
      margin: theme.spacing(1),
      backgroundColor: theme.palette.primary.main,
      position: 'absolute',
      bottom: 0,
      right: 20,
    },
    plusBtnContainer: { width, flexGrow: 1, display: 'flex', alignItems: 'flex-end', justifyContent: 'flex-end' },
  })
}
