import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

import sharedStyles from '../styles'

const styles = (theme: Theme) =>
  createSxStyles({
    ...sharedStyles(theme),
    gridContainer: { marginBottom: theme.spacing(2) },
    gridItem: { whiteSpace: 'nowrap' },
    selectField: { marginBottom: theme.spacing(2) },
  })

export default styles
