import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

import sharedStyles from '../styles'

// eslint-disable-next-line
export default (theme: Theme) =>
  createSxStyles({
    ...sharedStyles(theme),
    content: { ...sharedStyles(theme).content, width: '15%' },
    gridContainer: {},
    gridItem: { whiteSpace: 'nowrap' },
    btn: { width: '100%', marginBottom: theme.spacing(1) },
  })
