import { createSxStyles } from '@agiliza/theme'
import { Theme } from '@mui/material'

import sharedStyles from '../shared-styles'

const styles = (theme: Theme) =>
  createSxStyles({
    ...sharedStyles(theme),
    contentContainer: { display: 'flex', justifyContent: 'center', width: '100%' },
    content: { display: 'flex', flexDirection: 'column', alignItems: 'center', justifyContent: 'center', width: '35%' },
    stepContentContainer: { display: 'flex', flexDirection: 'column', justifyContent: 'center', flexGrow: 1 },
    stepperContainer: { display: 'flex', alignItems: 'center', justifyContent: 'center' },
    stepper: { flexGrow: 1 },
    stepperBtn: { height: '100%' },
  })

export default styles
